Page MenuHomeFreeBSD

Bring Porters Handbook up to date and fix small errors. CH 3
ClosedPublic

Authored by ak on Oct 27 2014, 12:26 PM.

Details

Reviewers
mat
Group Reviewers
portmgr
Commits
rD52776: Fix smallish errors.
Summary
  • Add closing bracket and change wording slightly
  • Use check-plist instead of check-orphans as more preferred target
  • Update package format to pkgng one
  • Update link to open ports prs

Diff Detail

Repository
rD FreeBSD doc repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

ak updated this revision to Diff 2119.Oct 27 2014, 12:26 PM
ak retitled this revision from to Bring Porters Handbook up to date and fix small errors. CH 3.
ak updated this object.
ak edited the test plan for this revision. (Show Details)
ak added reviewers: portmgr, doceng.
ak set the repository for this revision to rD FreeBSD doc repository.
mat added a subscriber: mat.Oct 27 2014, 1:42 PM
mat added inline comments.
en_US.ISO8859-1/books/porters-handbook/quick-porting/chapter.xml
388 ↗(On Diff #2119)

That is somewhat wrong, I don't think we should hardcode such urls, it would be better to tell people to go to /bugzilla and where to click.

ak added a comment.Oct 27 2014, 2:56 PM

That is somewhat wrong, I don't think we should hardcode such urls, it would be better to tell people to go to /bugzilla and where to click.

While it looks somewhat ugly, this url is stable and shouldn't change in observable future. So it's convenience versus aesthetics.

gjb added a subscriber: gjb.Oct 28 2014, 3:52 AM

Is there a reason doceng@ is added, instead of a more wider audience?

I see no reason for doceng@ to be involved in review of such a trivial change.

gjb removed a subscriber: gjb.Oct 28 2014, 3:53 AM
ak removed a reviewer: doceng.Oct 28 2014, 8:29 AM
ak set the repository for this revision to rD FreeBSD doc repository.
wblock added a subscriber: wblock.Oct 28 2014, 10:12 PM
wblock added inline comments.
en_US.ISO8859-1/books/porters-handbook/quick-porting/chapter.xml
133 ↗(On Diff #2119)

The colon was used as a vertical ellipsis there (...). It might be reasonable to replace it with a real ellipsis or an explanation:

the screen.
<replaceable>...additional description lines...</replaceable>

WWW: http://www.oneko.org/</programlisting>

145 ↗(On Diff #2119)

No whitespace after the paren, put it on the next line.

388 ↗(On Diff #2119)

The parameters could change, yes.

ak updated this revision to Diff 33884.Oct 11 2017, 1:26 PM
  • Use check-plist instead of check-orphans as more preferred target
  • Update package format to pkgng one
This revision was not accepted when it landed; it landed in state Needs Review.Jan 24 2019, 8:16 AM
Closed by commit rD52776: Fix smallish errors. (authored by mat). · Explain Why
This revision was automatically updated to reflect the committed changes.